Subject: Re: [hybi] New Version Notification for draft-tyoshino-hybi-permessage-compression-00.txt

From: Takeshi Yoshino <[email-masked]>
Date: Wed, 4 Jul 2012 15:12:42 +0900

Hi all,

Here's the per-message compression spec draft.

Because of big change (per-frame to per-message. The name of the draft need
to be changed...), I've uploaded the new version as a separate I-D for now
to get it reviewed sooner.

Text change from perframe -04 is not big. Changed per-frame to per-message
and added some note about compatibility with other extensions.
http://tools.ietf.org/rfcdiff?url1=draft-ietf-hybi-websocket-perframe-compression-04.txt&url2=draft-tyoshino-hybi-permessage-compression-00

On Wed, Jul 4, 2012 at 3:05 PM, <[email-masked]> wrote:

>
> A new version of I-D, draft-tyoshino-hybi-permessage-compression-00.txt
> has been successfully submitted by Takeshi Yoshino and posted to the
> IETF repository.
>
> Filename:        draft-tyoshino-hybi-permessage-compression
> Revision:        00
> Title:           WebSocket Per-message Compression
> Creation date:   2012-07-04
> WG ID:           Individual Submission
> Number of pages: 17
> URL:
> http://www.ietf.org/internet-drafts/draft-tyoshino-hybi-permessage-compression-00.txt
> Status:
> http://datatracker.ietf.org/doc/draft-tyoshino-hybi-permessage-compression
> Htmlized:
> http://tools.ietf.org/html/draft-tyoshino-hybi-permessage-compression-00
>
>
> Abstract:
>    This specification defines a WebSocket extension that adds
>    compression functionality to the WebSocket Protocol.  It compresses
>    the payload of non-control WebSocket messages using specified
>    compression algorithm.  One reserved bit RSV1 in the WebSocket frame
>    header is allocated to control application of compression for each
>    message.  This specification provides one compression method
>    available for the extension using DEFLATE.
>
>    Please send feedback to the [email-masked] mailing list.
>
>
>
>
> The IETF Secretariat
>